## NMWimaxNsp NMWimaxNsp |

## Functions

GObject * | nm_wimax_nsp_new ()
const char * | nm_wimax_nsp_get_name ()
guint32 | nm_wimax_nsp_get_signal_quality ()
NMWimaxNspNetworkType | nm_wimax_nsp_get_network_type ()
GSList * | nm_wimax_nsp_filter_connections ()
gboolean | nm_wimax_nsp_connection_valid ()

## Properties

gchar * | name | Read
guint | network-type | Read
guint | signal-quality | Read

## Types and Values

#define | NM_WIMAX_NSP_NAME
#define | NM_WIMAX_NSP_SIGNAL_QUALITY
#define | NM_WIMAX_NSP_NETWORK_TYPE
enum | NMWimaxNspNetworkType

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMWimaxNsp

## Description

## Functions

### nm_wimax_nsp_new ()

    GObject *
    nm_wimax_nsp_new (DBusGConnection *connection,
                      const char *path);

Creates a new NMWimaxNsp.

#### Parameters

connection | the DBusGConnection |
path | the D-Bus object path of the WiMAX NSP |

#### Returns

a new WiMAX NSP.

[transfer full]

### nm_wimax_nsp_get_name ()

    const char *
    nm_wimax_nsp_get_name (NMWimaxNsp *nsp);

Gets the name of the wimax NSP

#### Parameters

nsp | a NMWimaxNsp |

#### Returns

the name

### nm_wimax_nsp_get_signal_quality ()

    guint32
    nm_wimax_nsp_get_signal_quality (NMWimaxNsp *nsp);

Gets the WPA signal quality of the wimax NSP.

#### Parameters

nsp | a NMWimaxNsp |

#### Returns

the signal quality

### nm_wimax_nsp_get_network_type ()

    NMWimaxNspNetworkType
    nm_wimax_nsp_get_network_type (NMWimaxNsp *nsp);

Gets the network type of the wimax NSP.

#### Parameters

nsp | a NMWimaxNsp |

#### Returns

the network type

### nm_wimax_nsp_filter_connections ()

    GSList *
    nm_wimax_nsp_filter_connections (NMWimaxNsp *nsp,
                                     const GSList *connections);

Filters a given list of connections for a given NMWimaxNsp object and return connections which may be activated with the access point. Any returned connections will match the `nsp` 's network name and other attributes.

#### Parameters

nsp | an NMWimaxNsp to filter connections for |
connections | a list of NMConnection objects to filter. | [element-type NMConnection]

#### Returns

a list of NMConnection objects that could be activated with the given `nsp` . The elements of the list are owned by their creator and should not be freed by the caller, but the returned list itself is owned by the caller and should be freed with `g_slist_free()` when it is no longer required.

[transfer container][element-type NMConnection]

### nm_wimax_nsp_connection_valid ()

    gboolean
    nm_wimax_nsp_connection_valid (NMWimaxNsp *nsp,
                                   NMConnection *connection);

Validates a given connection against a given WiMAX NSP to ensure that the connection may be activated with that NSP. The connection must match the `nsp` 's network name and other attributes.

#### Parameters

nsp | an NMWimaxNsp to validate `connection` against |
connection | an NMConnection to validate against `nsp` |

#### Returns

`TRUE` if the connection may be activated with this WiMAX NSP, `FALSE` if it cannot be.

## Types and Values

### NM_WIMAX_NSP_NAME

    #define NM_WIMAX_NSP_NAME           "name"

### NM_WIMAX_NSP_SIGNAL_QUALITY

    #define NM_WIMAX_NSP_SIGNAL_QUALITY "signal-quality"

### NM_WIMAX_NSP_NETWORK_TYPE

    #define NM_WIMAX_NSP_NETWORK_TYPE   "network-type"

### enum NMWimaxNspNetworkType

WiMAX network type.

#### Members

NM_WIMAX_NSP_NETWORK_TYPE_UNKNOWN | unknown network type |
NM_WIMAX_NSP_NETWORK_TYPE_HOME | home network |
NM_WIMAX_NSP_NETWORK_TYPE_PARTNER | partner network |
NM_WIMAX_NSP_NETWORK_TYPE_ROAMING_PARTNER | roaming partner network |

## Property Details

### The `“name”` property

      “name”                     gchar *

The name of the WiMAX NSP.

Flags: Read

Default value: NULL

### The `“network-type”` property

      “network-type”             guint

The network type of the WiMAX NSP.

Flags: Read

Default value: 0

### The `“signal-quality”` property

      “signal-quality”           guint

The signal quality of the WiMAX NSP.

Flags: Read

Allowed values: <= 100

Default value: 0